> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soharhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Discovery



## OpenAPI

````yaml get /v1/discovery/{discoveryId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sohar API
  license:
    name: MIT
servers:
  - url: https://api.soharhealth.com
security: []
paths:
  /v1/discovery/{discoveryId}:
    get:
      tags:
        - Discovery
      summary: Get Discovery
      operationId: getDiscovery
      responses:
        '200':
          description: A discovery
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DiscoveryResponse'
        '403':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
        '500':
          description: Internal error
      security:
        - BasicAuth: []
components:
  schemas:
    DiscoveryResponse:
      required:
        - status
        - discoveryId
      type: object
      properties:
        status:
          type: string
          description: The status of the discovery request
          enum:
            - complete
            - pending
        discoveryId:
          type: string
          description: The Sohar ID for the discovery
          format: uuid
          example: fb701ac1-1246-4860-b1ec-bd916b97a990
        payerId:
          type: string
          description: >-
            The [payer
            ID](https://docs.soharhealth.com/api-reference/payers/get-payers). A
            `null` value will be returned if the `status` field is `pending`, or
            if the `status` field is `complete` and the discovery request was
            unsuccessful
          format: uuid
          example: '62308'
        payerName:
          type: string
          description: >-
            The payer's name. A `null` value will be returned if the `status`
            field is `pending`, or if the `status` field is `complete` and the
            discovery request was unsuccessful
          example: Cigna
        memberId:
          type: string
          description: >-
            The insurance member ID. A `null` value will be returned if the
            `status` field is `pending`, or if the `status` field is `complete`
            and the discovery request was unsuccessful
          example: '00000000'
        firstName:
          type: string
          description: The patient's first name
          example: JOHN
        lastName:
          type: string
          description: The patient's last name
          example: DOE
        dateOfBirth:
          type: string
          description: The patient's birth date in MM/DD/YYYY format
          pattern: ^(0[1-9]|1[0-2])\/(0[1-9]|[12][0-9]|3[01])\/(19|20)\d\d$
          example: 09/20/2023
        state:
          type: string
          description: The patient's state
          enum:
            - AK
            - AL
            - AR
            - AZ
            - CA
            - CO
            - CT
            - DC
            - DE
            - FL
            - GA
            - HI
            - IA
            - ID
            - IL
            - IN
            - KS
            - KY
            - LA
            - MA
            - MD
            - ME
            - MI
            - MN
            - MO
            - MS
            - MT
            - NC
            - ND
            - NE
            - NH
            - NJ
            - NM
            - NV
            - NY
            - OH
            - OK
            - OR
            - PA
            - RI
            - SC
            - SD
            - TN
            - TX
            - UT
            - VA
            - VT
            - WA
            - WI
            - WV
            - WY
          example: CA
        id:
          type: string
          nullable: true
          description: >-
            An optional identifier for the discovery. This is a user-defined
            value that can be used when creating the discovery
          example: '123456'
  securitySchemes:
    BasicAuth:
      type: http
      scheme: bearer

````